---
title: 'Document: dragover event'
slug: Web/API/Document/dragover_event
tags:
  - API
  - DOM
  - Document
  - DragEvent
  - Event
  - Reference
  - Web
  - drag and drop
---
<div>{{APIRef}}</div>

<p>The <code>dragover</code> event is fired when an element or text selection is being dragged over a valid drop target (every few hundred milliseconds).</p>

<p>The event is fired on the drop target(s).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Default action</th>
   <td>Reset the current drag operation to "none".</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("DragEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/ondragover", "ondragover")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>See the <a href="/en-US/docs/Web/API/Document/drag_event">drag event</a> for example code or this <a class="external external-icon" href="http://jsfiddle.net/zfnj5rv4/" rel="noopener">JSFiddle demo</a>.</p>

<p>{{EmbedLiveSample('Examples', '300', '200', '', 'Web/API/Document/drag_event')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "interaction.html#dndevents", "dragover")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.dragover_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other drag and drop events:
  <ul>
   <li>{{domxref("Document/drag_event", "drag")}}</li>
   <li>{{domxref("Document/dragstart_event", "dragstart")}}</li>
   <li>{{domxref("Document/dragend_event", "dragend")}}</li>
   <li>{{domxref("Document/dragenter_event", "dragenter")}}</li>
   <li>{{domxref("Document/dragleave_event", "dragleave")}}</li>
   <li>{{domxref("Document/dragexit_event", "dragexit")}}</li>
   <li>{{domxref("Document/drop_event", "drop")}}</li>
  </ul>
 </li>
 <li>This event on other targets:
  <ul>
   <li>{{domxref("Window")}}: {{domxref("Window/dragover_event", "dragover")}} event</li>
   <li>{{domxref("HTMLElement")}}: {{domxref("HTMLElement/dragover_event", "dragover")}} event</li>
   <li>{{domxref("SVGElement")}}: {{domxref("SVGElement/dragover_event", "dragover")}} event</li>
  </ul>
 </li>
</ul>
